MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025586Community[OCCT] OCCT:Meshpublic2014-12-10 13:112018-02-25 21:09
ReporterIstvan Csanady 
Assigned Tooan 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0025586: Poor mesh quality, or failure of meshing for closed extruded surfaces with holes
DescriptionWhen I add a hole to a closed extruded face, BRepMesh will fail to triangulate it, or will make a wrong mesh from the face (half of the mesh is missing). See the attached example files. (ShapeFix_Shape was performed in all the faces.) The meshing fails, because BRepMesh_WireChecker::collectDiscretizedWires returns false, because it thinks that the outer wire is open.
Steps To ReproduceLoad the attached files to DRAWEXE. They will not be visible in shaded rendering mode.
TagsNo tags attached.
Test case numberbugs mesh bug25586_1, bug25586_2, bug25586_3
Attached Fileszip file icon meshing_failures.zip (9,938 bytes) 2014-12-10 13:11
png file icon IMG_0090.PNG (511,993 bytes) 2014-12-11 10:19
png file icon IMG_0091.PNG (456,581 bytes) 2014-12-11 10:22
? file icon tmp.stp (13,052 bytes) 2014-12-15 09:29

- Relationships
related to 0024084assignedoan Open CASCADE Additional tool for resolving 2d loops on discretized wires should be implemented in BRepMesh 

-  Notes
(0035300)
Istvan Csanady (developer)
2014-12-11 10:19

I have attached an image of the result mesh. It should be a cylinder, with a hole.
(0035302)
msv (developer)
2014-12-11 10:45

Oleg, please look at this problem when you have time.
(0035399)
Istvan Csanady (developer)
2014-12-15 09:35

I have tested this with the current main branch, and the problem still exists. I tested it with 3rd party data (just to be sure, that the problem is not in my code), and I successfully reproduced it. See the attached STEP file.
It seems, that not only extruded faces are involved, but all faces that are closed in one direction.

Steps to reproduce:

pload all
ReadStep d tmp.stp
XGetOneShape shape d
vinit
vdisplay shape
(0035400)
Istvan Csanady (developer)
2014-12-15 10:21

I have attached a wrong stp file, but the bug can be reproduced with the attached brep files.
(0069125)
mkv (tester)
2017-08-04 18:24

Problem described in issue is reproduced on current state of OCCT.

- Issue History
Date Modified Username Field Change
2014-12-10 13:11 Istvan Csanady New Issue
2014-12-10 13:11 Istvan Csanady Assigned To => msv
2014-12-10 13:11 Istvan Csanady File Added: meshing_failures.zip
2014-12-11 10:19 Istvan Csanady File Added: IMG_0090.PNG
2014-12-11 10:19 Istvan Csanady Note Added: 0035300
2014-12-11 10:22 Istvan Csanady File Added: IMG_0091.PNG
2014-12-11 10:44 msv Assigned To msv => oan
2014-12-11 10:45 msv Note Added: 0035302
2014-12-15 09:29 Istvan Csanady File Added: tmp.stp
2014-12-15 09:35 Istvan Csanady Note Added: 0035399
2014-12-15 10:21 Istvan Csanady Note Added: 0035400
2015-04-21 06:10 abv Target Version 6.9.0 => 7.1.0
2015-05-25 12:05 msv Category OCCT:Modeling Algorithms => OCCT:Mesh
2016-04-05 14:31 oan Relationship added related to 0024084
2016-10-26 18:11 oan Target Version 7.1.0 => 7.2.0
2017-07-20 12:43 oan Target Version 7.2.0 => 7.3.0
2017-08-04 18:24 mkv Test case number => bugs mesh bug25586_1, bug25586_2, bug25586_3
2017-08-04 18:24 mkv Note Added: 0069125
2018-02-25 21:09 abv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker